Bug 171732 - file command fails to recognize ext2/ext3 images
file command fails to recognize ext2/ext3 images
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 13:33 EDT by Chris Eagle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 03:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Eagle 2005-10-25 13:33:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040616

Description of problem:


Version-Release number of selected component (if applicable):
file-4.15-fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Use dd to create an image (or portion of one) of an ext2 or ext3 file system
   dd if=/dev/hda1 of=filetest count=10000
2. Use file to id the file
   file filetest
3. It should fail to id the file
  

Actual Results:  # dd if=/dev/hda1 of=filetest count=10000
10000+0 records in
10000+0 records out

# which file
/usr/bin/file

# file --version
file-4.15
magic file from /usr/share/file/magic

# file filetest
filetest: 


Expected Results:  # ./file --version
file-4.16
magic file from ./magic

# ./file filetest
filetest: Linux rev 1.0 ext3 filesystem data (needs journal recovery) (large files)

# /usr/bin/file -m ./magic filetest
filetest: Linux rev 1.0 ext3 filesystem data (needs journal recovery) (large files)

# 

Additional info:

I downloaded and built file version 4.16 and it works just fine.  Using magic built with v4.16, the FC4 installed version of file also worked fine (see expected results above).  There appears to be a problem with magic included with the current version of the file distribution.
Comment 1 Radek Vokal 2005-10-26 03:50:42 EDT
file-4.16, which fixes this issue, is already in rawhide

Note You need to log in before you can comment on or make changes to this bug.